/**
 * AdditionalLocator.java
 *
 * File generated from the medication::AdditionalLocator uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration AdditionalLocator.
 *
 * 
 */

@XmlType(name = "AdditionalLocator")
@XmlEnum
@XmlRootElement(name = "AdditionalLocator")
public enum AdditionalLocator {
	@XmlEnumValue("ADL")
	ADL("ADL"),
	@XmlEnumValue("UNID")
	UNID("UNID"),
	@XmlEnumValue("UNIT")
	UNIT("UNIT");
	
	private final String value;

    AdditionalLocator(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static AdditionalLocator fromValue(String v) {
        for (AdditionalLocator c: AdditionalLocator.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}